Não é possível instalar a Biblioteca de Imagem Python usando Pip [Duplicate] -- software-installation campo com python campo com pip camp askubuntu Relacionado O problema

Cannot install Python Imaging Library using pip [duplicate]


1
vote

problema

português
.

Estou tentando instalar a Biblioteca Python Imaging no Ubuntu 15.10 executando ABCDEFGHIJKLMNABCDEFGHIJKLMN2 . Quando tento e executo isso (ou mesmo pip uninstall PIL ) eu recebo este erro:

ABCDEFGHIJKLMNABCDEFGHIJKLMN4

Alguém pode sugerir por que não consigo instalar ou desinstalar o PIP?

english

I'm attempting to install the Python Imaging Library on Ubuntu 15.10 by running pip install PIL. When I try and run that (or even pip uninstall PIL) I get this error:

Traceback (most recent call last):   File "/usr/bin/pip", line 9, in <module>     load_entry_point('pip==1.5.6', 'console_scripts', 'pip')()   File "/usr/local/lib/python2.7/dist-packages/pkg_resources.py", line 357, in load_entry_point     return get_distribution(dist).load_entry_point(group, name)   File "/usr/local/lib/python2.7/dist-packages/pkg_resources.py", line 2394, in load_entry_point     return ep.load()   File "/usr/local/lib/python2.7/dist-packages/pkg_resources.py", line 2108, in load     entry = __import__(self.module_name, globals(),globals(), ['__name__'])   File "/usr/lib/python2.7/dist-packages/pip/__init__.py", line 74, in <module>     from pip.vcs import git, mercurial, subversion, bazaar  # noqa   File "/usr/lib/python2.7/dist-packages/pip/vcs/mercurial.py", line 9, in <module>     from pip.download import path_to_url   File "/usr/lib/python2.7/dist-packages/pip/download.py", line 22, in <module>     import requests, six   File "/usr/local/lib/python2.7/dist-packages/requests/__init__.py", line 53, in <module>     from .packages.urllib3.contrib import pyopenssl   File "/usr/local/lib/python2.7/dist-packages/requests/packages/urllib3/contrib/pyopenssl.py", line 43, in <module>     ssl.PROTOCOL_SSLv3: OpenSSL.SSL.SSLv3_METHOD, AttributeError: 'module' object has no attribute 'PROTOCOL_SSLv3 

Can anyone suggest why I can't install or uninstall pip?

        
     
     

Lista de respostas

1
 
vote

há um novo garfo de pil chamado L="nofollow"> travesseiro , você pode Instale-o digitando:

  sudo apt-get build-dep python-imaging sudo apt-get install libjpeg8 libjpeg62-dev libfreetype6 libfreetype6-dev sudo pip install Pillow    

Você pode ver o Página oficial de documentação Para mais informações. < / p >.

Para verificar a versão, basta digitar:

  >>> import PIL >>> PIL.VERSION 'x.x.x'    

/dev/sda10 é o número da versão

 

There is a new fork of PIL called Pillow, you can install it by typing :

sudo apt-get build-dep python-imaging sudo apt-get install libjpeg8 libjpeg62-dev libfreetype6 libfreetype6-dev sudo pip install Pillow 

You can see the Official Documentation page for more informations.

To verify the version, just type :

>>> import PIL >>> PIL.VERSION 'x.x.x' 

x.x.x is the version number

 
 
 
 

Perguntas relacionadas

-2  Eu quero saber sobre os gerentes de pacotes no Ubuntu [Fechado]  ( I want to know about package managers in ubuntu ) 
. fechado . Esta pergunta precisa detalhes ou clareza . Atualmente não está aceitando respostas. ...

2  Problemas ao instalar o pacote EDX-DL com PIP  ( Issues while installing edx dl package with pip ) 
Eu queria fazer o maior download de alguma palestra do YouTube e do EDX, então eu dei uma olhada no projeto aqui: https://github.com/coursera-dl/edx-dl < ...

2  Por que o PIP não instala o mais recente CMAKE no Ubuntu  ( Why does pip not install the latest cmake on ubuntu ) 
Como você pode ver em https://pypi.org/project/cmake/ , Esta não é a versão mais recente. No Windows, é trabalho como esperado. É um bug ou algo assim? ro...

0  Não é possível instalar e atualizar pacotes Python no Ubuntu 14.04 [Duplicar]  ( Cannot install and upgrade python packages on ubuntu 14 04 ) 
. Esta pergunta já tem uma resposta aqui : erro no PIP: Tipo (s) de operação não suportado para - =: ...

1  Como faço para realizar uma reinstalação completa de PIP e PIP3?  ( How do i perform a full reinstallation of pip and pip3 ) 
Eu quero sair do meu computador O que todo mundo quer: para funcionar corretamente. Agora para o problema: Eu estava tentando instalar um pacote via pip3 ...

0  Reinstalar / Atualizar todos os pacotes do site do Python e não os globais do Ubuntu  ( Reinstall upgrade all python user sites packages and not ubuntu global ones ) 
Quando eu instalei o Ubuntu (16.04 LTS), não percebi que (em geral), não é uma boa ideia instalar pacotes Python através de ABCDEFGHIJKLMNABCDEFGHIJKLMN0 Us...

0  Pip3 não está funcionando no Ubuntu  ( Pip3 is not working in ubuntu ) 
Eu recebi o seguinte erro ao usar pip3 no Ubuntu: mt@mt:~$ pip3 -V pip 9.0.1 from /usr/local/lib/python3.5/dist-packages (python 3.5) mt@mt:~$ python3 Py...

51  'Sudo Pip Install' ainda uma prática quebrada?  ( Is sudo pip install still a broken practice ) 
Eu sou novo para o Ubuntu, então por favor, tenha comigo. Eu instalei pip usando este comando: sudo apt-get -y install python-pip . Em seguida, instalei N...

0  Por que o Ubuntu 16.04 vem com Python 3.5, mas não pip3?  ( Why does ubuntu 16 04 come with python 3 5 but not pip3 ) 
Esta é provavelmente uma pergunta básica, mas eu sou muito novo para o Ubuntu. Tanto quanto eu entendo, o Ubuntu 16.04 (e as seguintes versões) vêm com o Pyth...

0  Obtendo erro de importação após a instalação de pacotes através do ConDA  ( Getting import error after installing packages through conda ) 
Acabei de instalar pandas , BeautifulSoup4 , abcdefghijklmn4 ao lado de conda distribuição, mas eu não sou capaz de Importe qualquer um dos pacotes, exc...




© 2022 pergunte.org All Rights Reserved. Casa de perguntas e respostas todos os direitos reservados


Licensed under cc by-sa 3.0 with attribution required.